Package org.eclipse.ecf.remoteservice.client

# Class RemoteCallable.Builder

java.lang.Object
org.eclipse.ecf.remoteservice.client.RemoteCallable.Builder

Enclosing class:
  RemoteCallable

public static class RemoteCallable.Builder extends Object

Since:
  8.5

## Constructor Summary

Constructors
Constructor
Description
`Builder(String methodName, String resourcePath)`

## Method Summary

Modifier and Type
Method
Description
`IRemoteCallable`
`build()`
`RemoteCallable.Builder`
`setDefaultParameters(IRemoteCallParameter[] defaultParameters)`
`RemoteCallable.Builder`
`setRequestTimeout(long timeout)`
`RemoteCallable.Builder`
`setRequestType(IRemoteCallableRequestType requestType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder(String methodName, String resourcePath)

## Method Details

### setDefaultParameters

public RemoteCallable.Builder setDefaultParameters(IRemoteCallParameter[] defaultParameters)

### setRequestTimeout

public RemoteCallable.Builder setRequestTimeout(long timeout)

### setRequestType

public RemoteCallable.Builder setRequestType(IRemoteCallableRequestType requestType)

### build

public IRemoteCallable build()